Get list of environment variables
curl --request GET \
--url {schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/variables \
--header 'Authorization: Bearer <token>'import requests
url = "{schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/variables"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('{schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/variables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"attributes": {},
"is_json": true,
"is_sensitive": true,
"visible_build": true,
"visible_runtime": true,
"application_scope": [
"<string>"
],
"project": "<string>",
"environment": "<string>",
"inherited": true,
"is_enabled": true,
"is_inheritable": true,
"value": "<string>"
}
]Environment Variables
Get list of environment variables
Retrieve a list of objects representing the user-defined variables within an environment.
GET
/
projects
/
{projectId}
/
environments
/
{environmentId}
/
variables
Get list of environment variables
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
default - application/json
The identifier of EnvironmentVariable
The creation date
The update date
Name of the variable
Arbitrary attributes attached to this resource
Show child attributes
Show child attributes
The variable is a JSON string
The variable is sensitive
The variable is visible during build
The variable is visible at runtime
Applications that have access to this variable
The name of the project
The name of the environment
The variable is inherited from a parent environment
The variable is enabled on this environment
The variable is inheritable to child environments
Value of the variable
Last modified on June 16, 2026
Was this page helpful?